#! /bin/bash

(
    repos=$(xmllint -xpath "//repo/name/text()|//repo/source/text()" /etc/portage/layman.xml  | xargs -n2)      #"
    repos_enabled=$(cat /etc/portage/repos.conf/layman.conf | grep -oP "\[\K[^]]*")
    
    cd /etc/portage
    
    layman -d ALL
    layman -L &> /dev/null
    for repo in "$repos_enabled"; do
        repo_src=$(echo "$repos" | grep -P "^$repo" | awk '{ print $2 }')
        if [ -n "$repo_src" ]; then
            layman -a "$repo" -O "$repo_src"
        else
            layman -a "$repo"
        fi
    done

    git checkout -- layman.xml
    git checkout -- repos.conf/layman.conf 
)
